import 'package:fcs/domain/entities/carton.dart';
import 'package:fcs/helpers/theme.dart';
import 'package:fcs/pages/widgets/local_text.dart';
import 'package:flutter/material.dart';

Widget getCartonNumberStatus(BuildContext context, Carton carton) {
  return Row(
    mainAxisAlignment: MainAxisAlignment.center,
    children: [
      LocalText(
        context,
        '',
        text: carton.cartonNumber ?? "",
        color: primaryColor,
        fontSize: 18,
        fontWeight: FontWeight.bold,
      ),
      Padding(
        padding: const EdgeInsets.only(left: 8.0),
        child: Chip(label: Text(carton.status ?? "")),
      ),
    ],
  );
}
